Bug 472562 - iscsid will destroy session on certain login errors instead of retrying the relogin
iscsid will destroy session on certain login errors instead of retrying the r...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: iscsi-initiator-utils (Show other bugs)
5.3
All Linux
high Severity high
: rc
: ---
Assigned To: Mike Christie
Martin Jenner
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-21 13:37 EST by Mike Christie
Modified: 2009-01-20 15:57 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:57:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Christie 2008-11-21 13:37:37 EST
Description of problem:

iscsid is destroying sessions when we want to be retrying the login. We retried in 5.2, but in bz 461294 we introduced a bug where we now destroy the session.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 6 Mike Christie 2008-12-04 12:59:21 EST
This is fixed in iscsi-initiator-utils-6.2.0.868-0.17.el5.
Comment 8 Mike Gahagan 2008-12-15 16:58:28 EST
tested with a 5.3 snap 6 install to an iscsi target. Shut off installed system, pulled the network cable from the target, turned on the installed box, saw it tried to login, waited 5 min, then went and plugged the cable in and booting commenced normally after a couple of failure messages from iscsistart. 

system also survives cable-pull after boot-up.
Comment 10 errata-xmlrpc 2009-01-20 15:57:41 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0103.html

Note You need to log in before you can comment on or make changes to this bug.